# ApplicationFramework
TKTObj
TObj

# TObj_ObjectIterator Class Reference

`#include <TObj_ObjectIterator.hxx>`

Inheritance diagram for TObj_ObjectIterator:

[legend]

## Public Member Functions

virtual Standard_EXPORT Standard_Boolean | More () const
| Returns True if iteration is not finished and method Current() will give the object. Default implementation returns False.
virtual Standard_EXPORT void | Next ()
| Iterates to the next object Default implementation does nothing.
virtual Standard_EXPORT | Handle (TObj_Object) Value() const
| Returns current object (or null if iteration has finished) Default implementation returns null handle.

## Detailed Description

This class provides an iterator by objects in a partition. (implements TObj_ObjectIterator interface)

## Member Function Documentation

virtual Standard_EXPORT TObj_ObjectIterator::Handle | ( | TObj_Object |  | ) | const`[virtual]`

| Reimplemented in TObj_LabelIterator, TObj_ModelIterator, and TObj_SequenceIterator.

virtual Standard_EXPORT Standard_Boolean TObj_ObjectIterator::More | ( |  | ) | const`[virtual]`

| Reimplemented in TObj_LabelIterator, TObj_ModelIterator, and TObj_SequenceIterator.

virtual Standard_EXPORT void TObj_ObjectIterator::Next | ( |  | ) | `[virtual]`

| Reimplemented in TObj_LabelIterator, TObj_ModelIterator, and TObj_SequenceIterator.

The documentation for this class was generated from the following file:

- TObj_ObjectIterator.hxx